//
// main for QMoon.
//
//    Copyright 2002 by Akkana Peck.
// You may use or distribute this code under the terms of the GPL.
//

#include "MoonMainWin.h"
#include "MoonCanvas.h"  // for setting debug mode

#ifdef QWS
#include <qpe/qpeapplication.h>
#else /* QWS */
#include <qapplication.h>
#endif /* QWS */

int main( int argc, char **argv )
{
    // Check for debug mode
    if (argc > 1 && argv[1][0] == '-' && argv[1][1] == 'd')
        MoonCanvas::SetDebugMode(1);

#ifdef QWS
    QPEApplication a( argc, argv );
#else /* QWS */
    QApplication a( argc, argv );
#endif /* QWS */

    MoonMainWin w;

    // Get our screen size
    QWidget *d = QApplication::desktop();
    if (!d || d->width() < 500 || d->height() < 500)
        w.setGeometry(3, 0, 235, 252);

    a.setMainWidget( &w );
    w.show();
    return a.exec();
}

